Page MenuHomePhabricator

Support for status searches (translated, untranslated and outdated translations)
Closed, ResolvedPublic

Description

Allow search for translated, untranslated and outdated translations.

Reuse TUX elements as far as possible. Some adaptations will be required. Allotted time: 2 days?

Event Timeline

Phoenix303 claimed this task.
Phoenix303 raised the priority of this task from to Needs Triage.
Phoenix303 updated the task description. (Show Details)
Phoenix303 added a project: Translation-search.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2015, 3:08 PM

The UI item for this filter should be the same as the one for T100181. @Nikerabbit, how can TUX elements be reused for this?

Existing TUX elements probably need some work to make them re-usable.

Nemo_bis updated the task description. (Show Details)May 25 2015, 11:48 AM
Nemo_bis set Security to None.

Does this task involves both front end and back end work?

I may need more time ( investigating + coding + buffer ). Can I allot 5 days for this task?

Phoenix303 triaged this task as Normal priority.May 26 2015, 4:13 AM

I may need more time ( investigating + coding + buffer ). Can I allot 5 days for this task?

Yes.

Change 230046 had a related patch set uploaded (by Phoenix303):
Use TUX elements to build tabs.

https://gerrit.wikimedia.org/r/230046

Ok, this is officially done. The feature is shown at http://translation-search.wmflabs.org/wiki/Special:SearchTranslations after you search something, e.g. http://translation-search.wmflabs.org/w/index.php?title=Special%3ASearchTranslations&query=edit
Mind the ellipsis if you are not seeing some of the options.

Nemo_bis closed this task as Resolved.Aug 17 2015, 8:54 AM

Change 230046 merged by jenkins-bot:
Use TUX elements to build tabs.

https://gerrit.wikimedia.org/r/230046